/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.effects;

import org.eclipse.swt.internal.wpf.*;

public class Effect {
	public int handle;
	
	public Effect() {
		createHandle();
	}

	void checkEffect() {
	}
	
	void createHandle() {
	}

	public void dispose() {
		releaseHandle();
	}
	
	void releaseHandle() {
		if (handle != 0) OS.GCHandle_Free(handle);
		handle = 0;
	}

	public boolean isDisposed() {
		return handle == 0;
	}
}
